Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## FitnessEvaluation
Class InterpretedFitnessEvaluation

    java.lang.Object
      FitnessEvaluation.InterpretedFitnessEvaluation

All Implemented Interfaces:
  FitnessFunction, ParameterI

Direct Known Subclasses:
  InterpretedFitnessEvaluationBSF, InterpretedJScheme

    public abstract class InterpretedFitnessEvaluation

extends java.lang.Object
implements FitnessFunction

Abstract class for interpreting generated code, instead of compiling

Author:
  erikhemberg

Constructor Summary
`InterpretedFitnessEvaluation()` Creates a new instance of InterpretedFitnessEvaluation

Method Summary
`boolean` | `canCache()` Return true if it is ok to cache the results of the fitness function
`void` | `getFitness(Individual i)` Evaluate an individual and set the fitness
`abstract double` | `runFile(Phenotype p)` Run the phenotype and return the fitness

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface Parameter.ParameterI
`setProperties`

Constructor Detail

### InterpretedFitnessEvaluation

    public InterpretedFitnessEvaluation()

  Creates a new instance of InterpretedFitnessEvaluation

Method Detail

### runFile

    public abstract double runFile(Phenotype p)

  Run the phenotype and return the fitness

  Parameters:
    `p` - input
  Returns:
    fitness of input

### getFitness

    public void getFitness(Individual i)

  Evaluate an individual and set the fitness

  Specified by:
    `getFitness` in interface `FitnessFunction`
  Parameters:
    `i` - input to evaluate

### canCache

    public boolean canCache()

  Description copied from interface: `FitnessFunction`
  Return true if it is ok to cache the results of the fitness function

  Specified by:
    `canCache` in interface `FitnessFunction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD